export declare const pinInputSlotRecipe: import("../..").SlotRecipeDefinition<"root" | "control" | "label" | "input", {
    size: {
        sm: {
            input: {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.7";
            } | {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.8";
            } | {
                textStyle: "sm";
                px: "2.5";
                "--input-height": "sizes.9";
            } | {
                textStyle: "sm";
                px: "3";
                "--input-height": "sizes.10";
            } | {
                textStyle: "md";
                px: "4";
                "--input-height": "sizes.11";
            } | {
                textStyle: "md";
                px: "4.5";
                "--input-height": "sizes.12";
            } | {
                textStyle: "lg";
                px: "5";
                "--input-height": "sizes.16";
            };
        };
        md: {
            input: {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.7";
            } | {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.8";
            } | {
                textStyle: "sm";
                px: "2.5";
                "--input-height": "sizes.9";
            } | {
                textStyle: "sm";
                px: "3";
                "--input-height": "sizes.10";
            } | {
                textStyle: "md";
                px: "4";
                "--input-height": "sizes.11";
            } | {
                textStyle: "md";
                px: "4.5";
                "--input-height": "sizes.12";
            } | {
                textStyle: "lg";
                px: "5";
                "--input-height": "sizes.16";
            };
        };
        lg: {
            input: {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.7";
            } | {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.8";
            } | {
                textStyle: "sm";
                px: "2.5";
                "--input-height": "sizes.9";
            } | {
                textStyle: "sm";
                px: "3";
                "--input-height": "sizes.10";
            } | {
                textStyle: "md";
                px: "4";
                "--input-height": "sizes.11";
            } | {
                textStyle: "md";
                px: "4.5";
                "--input-height": "sizes.12";
            } | {
                textStyle: "lg";
                px: "5";
                "--input-height": "sizes.16";
            };
        };
        xl: {
            input: {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.7";
            } | {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.8";
            } | {
                textStyle: "sm";
                px: "2.5";
                "--input-height": "sizes.9";
            } | {
                textStyle: "sm";
                px: "3";
                "--input-height": "sizes.10";
            } | {
                textStyle: "md";
                px: "4";
                "--input-height": "sizes.11";
            } | {
                textStyle: "md";
                px: "4.5";
                "--input-height": "sizes.12";
            } | {
                textStyle: "lg";
                px: "5";
                "--input-height": "sizes.16";
            };
        };
        "2xl": {
            input: {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.7";
            } | {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.8";
            } | {
                textStyle: "sm";
                px: "2.5";
                "--input-height": "sizes.9";
            } | {
                textStyle: "sm";
                px: "3";
                "--input-height": "sizes.10";
            } | {
                textStyle: "md";
                px: "4";
                "--input-height": "sizes.11";
            } | {
                textStyle: "md";
                px: "4.5";
                "--input-height": "sizes.12";
            } | {
                textStyle: "lg";
                px: "5";
                "--input-height": "sizes.16";
            };
        };
        xs: {
            input: {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.7";
            } | {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.8";
            } | {
                textStyle: "sm";
                px: "2.5";
                "--input-height": "sizes.9";
            } | {
                textStyle: "sm";
                px: "3";
                "--input-height": "sizes.10";
            } | {
                textStyle: "md";
                px: "4";
                "--input-height": "sizes.11";
            } | {
                textStyle: "md";
                px: "4.5";
                "--input-height": "sizes.12";
            } | {
                textStyle: "lg";
                px: "5";
                "--input-height": "sizes.16";
            };
        };
        "2xs": {
            input: {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.7";
            } | {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.8";
            } | {
                textStyle: "sm";
                px: "2.5";
                "--input-height": "sizes.9";
            } | {
                textStyle: "sm";
                px: "3";
                "--input-height": "sizes.10";
            } | {
                textStyle: "md";
                px: "4";
                "--input-height": "sizes.11";
            } | {
                textStyle: "md";
                px: "4.5";
                "--input-height": "sizes.12";
            } | {
                textStyle: "lg";
                px: "5";
                "--input-height": "sizes.16";
            };
        };
    };
    variant: {
        outline: {
            input: {
                bg: "transparent";
                borderWidth: "1px";
                borderColor: "border";
                focusVisibleRing: "inside";
                focusRingColor: "var(--focus-color)";
            } | {
                borderWidth: "1px";
                borderColor: "transparent";
                bg: "bg.muted";
                focusVisibleRing: "inside";
                focusRingColor: "var(--focus-color)";
            } | {
                bg: "transparent";
                borderBottomWidth: "1px";
                borderBottomColor: "border";
                borderRadius: "0";
                px: "0";
                _focusVisible: {
                    borderColor: "var(--focus-color)";
                    boxShadow: "0px 1px 0px 0px var(--focus-color)";
                    _invalid: {
                        borderColor: "var(--error-color)";
                        boxShadow: "0px 1px 0px 0px var(--error-color)";
                    };
                };
            };
        };
        subtle: {
            input: {
                bg: "transparent";
                borderWidth: "1px";
                borderColor: "border";
                focusVisibleRing: "inside";
                focusRingColor: "var(--focus-color)";
            } | {
                borderWidth: "1px";
                borderColor: "transparent";
                bg: "bg.muted";
                focusVisibleRing: "inside";
                focusRingColor: "var(--focus-color)";
            } | {
                bg: "transparent";
                borderBottomWidth: "1px";
                borderBottomColor: "border";
                borderRadius: "0";
                px: "0";
                _focusVisible: {
                    borderColor: "var(--focus-color)";
                    boxShadow: "0px 1px 0px 0px var(--focus-color)";
                    _invalid: {
                        borderColor: "var(--error-color)";
                        boxShadow: "0px 1px 0px 0px var(--error-color)";
                    };
                };
            };
        };
        flushed: {
            input: {
                bg: "transparent";
                borderWidth: "1px";
                borderColor: "border";
                focusVisibleRing: "inside";
                focusRingColor: "var(--focus-color)";
            } | {
                borderWidth: "1px";
                borderColor: "transparent";
                bg: "bg.muted";
                focusVisibleRing: "inside";
                focusRingColor: "var(--focus-color)";
            } | {
                bg: "transparent";
                borderBottomWidth: "1px";
                borderBottomColor: "border";
                borderRadius: "0";
                px: "0";
                _focusVisible: {
                    borderColor: "var(--focus-color)";
                    boxShadow: "0px 1px 0px 0px var(--focus-color)";
                    _invalid: {
                        borderColor: "var(--error-color)";
                        boxShadow: "0px 1px 0px 0px var(--error-color)";
                    };
                };
            };
        };
    };
    attached: {
        true: {
            control: {
                gap: "0";
                spaceX: "-1px";
            };
            input: {
                _notFirst: {
                    borderStartRadius: "0";
                };
                _notLast: {
                    borderEndRadius: "0";
                };
                _focusVisible: {
                    zIndex: "1";
                };
            };
        };
    };
}>;
